Get Lithos payouts
/paymentsapi_keyReconstruct confirmed payouts to this client's primary miner address from the node's address index. Pagination is applied after the indexed transaction history is filtered to exact spends of the Lithos payout contract with an exact output to the primary miner address. This history is independent of the synchronization cache.
Query parameters
limitinteger · int32default 50The number of items in list to return
offsetinteger · int32default 0The offset to start the list from
Responses
200Page of confirmed payout transactionsPaymentTransaction[]▶
transactionIdstringrequiredPayout transaction identifier
payoutUTXOstringrequiredIdentifier of the spent payout-contract box
amountinteger · int64requiredAmount paid to the miner in nanoERG
scoreinteger · int64nullableScore associated with this miner's NISP, when independently available. It cannot be recovered exactly from a rounded payout amount.
paymentHeightinteger · int32requiredInclusion height of the payout transaction
blockIdstringnullableId of the block processed by Lithos and associated with this reward, when known from rollup state. This is not the chain block containing the payout transaction.
minedBlockHeightinteger · int32nullableHeight of the block processed by Lithos and associated with this reward, when known from rollup state.
400Malformed pagination value or other invalid requestApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
403Missing or wrong api_keyApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
404No confirmed Lithos payouts were found for the primary miner addressApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
500Unexpected failure while reconstructing payment historyApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
503The indexed node is unavailable, not current, or the bounded history scan cannot fill the pageApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
defaultErrorApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description